%define languageenglazy Bengali
%define languagecode    bn
%define lc_ctype        bn_BD

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.04
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://ankur.org.bd/wiki
Source0:        http://sourceforge.net/projects/bengalinux/files/bengali-spellcheck/%{name}-%{version}.tar.bz2

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-bn
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-bn_IN = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-bn_IN = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-bn_BN < 1.0.3
Provides:       myspell-bn_BN

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q

%build
chmod -x bn.aff  bn.dic  COPYING  Copyright README
chmod -x doc/README
mv bn.aff bn_BD.aff
mv bn.dic bn_BD.dic

# Convert to utf-8
for file in Copyright doc/README; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

bn_BD_aliases="bn_IN"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $bn_BD_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $bn_BD_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc doc/README COPYING Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 1:0.04-5.mga2
+ Revision: 224577
- add requirement on locales (mga#4632)

* Thu Feb 16 2012 kamil <kamil> 1:0.04-4.mga2
+ Revision: 209607
- obsolete myspell-bn_BN instead of myspell-bn_BD

* Sun Feb 12 2012 kamil <kamil> 1:0.04-3.mga2
+ Revision: 207642
- better obsolete myspell

* Mon Jan 16 2012 kamil <kamil> 1:0.04-2.mga2
+ Revision: 196813
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.04-1.mga1
+ Revision: 68679
- imported package hunspell-bn

